from cryptography.fernet import Fernet


plaintext_in = "The quick brown fox jumps over the lazy dog"
secret_key = Fernet.generate_key()


def encrypt(plaintext_bytes, key):
    encrypter = Fernet(key)
    return encrypter.encrypt(plaintext_bytes)


input_bytes = bytes(plaintext_in, encoding="utf-8")
cipher_text = encrypt(input_bytes, secret_key)


def decrypt(cipher_text, key):
    decrypter = Fernet(key)
    return decrypter.decrypt(cipher_text)


output_bytes = decrypt(cipher_text, secret_key)
plaintext_out = str(output_bytes, encoding="utf-8")

assert plaintext_in == plaintext_out  # should be equal
